Bug 427666 - Does not compile using gcc/g++ 4.3
Does not compile using gcc/g++ 4.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: coolkey (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bob Relyea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-06 09:12 EST by Ludovic Rousseau
Modified: 2009-07-15 04:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:19:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for coolkey.cpp (653 bytes, patch)
2008-01-06 09:12 EST, Ludovic Rousseau
no flags Details | Diff
patch for log.cpp (670 bytes, patch)
2008-01-06 09:13 EST, Ludovic Rousseau
no flags Details | Diff
patch for machdep.cpp (702 bytes, patch)
2008-01-06 09:14 EST, Ludovic Rousseau
no flags Details | Diff
patch for object.cpp (675 bytes, patch)
2008-01-06 09:15 EST, Ludovic Rousseau
no flags Details | Diff
patch for slot.cpp (671 bytes, patch)
2008-01-06 09:15 EST, Ludovic Rousseau
no flags Details | Diff

  None (edit)
Description Ludovic Rousseau 2008-01-06 09:12:56 EST
Description of problem:
The code of coolkey does not compile using g++ 4.3

Version-Release number of selected component (if applicable):
coolkey 1.1.0
http://directory.fedoraproject.org/wiki/CoolKey

The problem is also present in the CVS version

How reproducible:
$ CXX=g++-4.3 ./configure
$ make

Actual results:
[...]
coolkey.cpp:37:1: error: "NULL" redefined
In file included from /usr/include/alloca.h:25,
                 from /usr/include/stdlib.h:497,
                 from /usr/include/c++/4.3/cstdlib:73,
                 from /usr/include/c++/4.3/bits/stl_algo.h:65,
                 from /usr/include/c++/4.3/algorithm:67,
                 from slot.h:27,
                 from coolkey.cpp:33:
/usr/lib/gcc/x86_64-linux-gnu/4.3.0/include/stddef.h:400:1: error: this is the location of the 
previous definition
log.cpp: In member function 'virtual void SysLog::log(const char*, ...)':
log.cpp:100: error: 'strlen' was not declared in this scope
log.cpp:100: error: 'malloc' was not declared in this scope
log.cpp:102: error: 'strcpy' was not declared in this scope
log.cpp:103: error: 'strcat' was not declared in this scope
log.cpp:106: error: 'free' was not declared in this scope
make[3]: *** [libcoolkeypk11_la-log.lo] Erreur 1
make[3]: *** Attente des tâches non terminées....
coolkey.cpp: In function 'CK_RV C_Initialize(void*)':
coolkey.cpp:238: warning: deprecated conversion from string constant to 'char*'
machdep.cpp: In static member function 'static SHMem* SHMem::initSegment(const char*, int, bool&)':
machdep.cpp:261: error: 'strlen' was not declared in this scope
machdep.cpp:266: error: 'memcpy' was not declared in this scope
machdep.cpp:268: error: 'strcpy' was not declared in this scope
machdep.cpp:271: error: 'strcat' was not declared in this scope
machdep.cpp:280: error: 'calloc' was not declared in this scope
machdep.cpp:290: error: 'free' was not declared in this scope
[...]


Additional info:
This bug was reported as Debian bug 455658 (http://bugs.debian.org/455658)

I attach 5 patches I created for Debian.
Comment 1 Ludovic Rousseau 2008-01-06 09:12:56 EST
Created attachment 290910 [details]
patch for coolkey.cpp
Comment 2 Ludovic Rousseau 2008-01-06 09:13:42 EST
Created attachment 290911 [details]
patch for log.cpp
Comment 3 Ludovic Rousseau 2008-01-06 09:14:08 EST
Created attachment 290912 [details]
patch for machdep.cpp
Comment 4 Ludovic Rousseau 2008-01-06 09:15:10 EST
Created attachment 290913 [details]
patch for object.cpp
Comment 5 Ludovic Rousseau 2008-01-06 09:15:28 EST
Created attachment 290914 [details]
patch for slot.cpp
Comment 6 Rich Megginson 2008-01-07 09:59:20 EST
Jack or Bob, can you take a look?
Comment 7 Jack Magne 2008-01-07 12:47:10 EST
I'll get with Bob to make sure we do.
Comment 8 Jack Magne 2008-02-14 19:00:44 EST
Fixed in coolkey-1.1.0-6.fc9 .
Comment 9 Bug Zapper 2008-05-14 00:18:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-06-09 19:20:40 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-15 04:19:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.